<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__systick_8c" kind="file" language="C++">
    <compoundname>cy_systick.c</compoundname>
    <includes local="no">stddef.h</includes>
    <includes local="yes" refid="cy__systick_8h">cy_systick.h</includes>
    <includes local="yes" refid="cy__sysint_8h">cy_sysint.h</includes>
    <incdepgraph>
      <node id="493">
        <label>stddef.h</label>
      </node>
      <node id="492">
        <label>cy_systick.c</label>
        <link refid="cy__systick_8c" />
        <childnode refid="493" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="var">
      <memberdef id="cy__systick_8c_1a90d325ec29c18e0fc52c65fc40fe7188" kind="variable" mutable="no" prot="public" static="yes">
        <type>Cy_SysTick_Callback</type>
        <definition>Cy_SysTick_Callback Cy_SysTick_Callbacks[CY_SYS_SYST_NUM_OF_CALLBACKS]</definition>
        <argsstring>[CY_SYS_SYST_NUM_OF_CALLBACKS]</argsstring>
        <name>Cy_SysTick_Callbacks</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="29" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="29" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__systick_8c_1a2b1485fc568e0695a1408861256a51ec" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void Cy_SysTick_ServiceCallbacks</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysTick_ServiceCallbacks</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>The system Tick timer interrupt routine. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="258" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="243" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="30" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1gac600820b0201e4ad5a171e97f7642c62" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysTick_Init</definition>
        <argsstring>(cy_en_systick_clock_source_t clockSource, uint32_t interval)</argsstring>
        <name>Cy_SysTick_Init</name>
        <param>
          <type><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref></type>
          <declname>clockSource</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>interval</declname>
        </param>
        <briefdescription>
<para>Initializes the SysTick driver: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Initializes the callback addresses with pointers to NULL</para></listitem><listitem><para>Associates the SysTick system vector with the callback functions</para></listitem><listitem><para>Sets the SysTick clock by calling <ref kindref="member" refid="group__group__systick__functions_1gaa8a72d8a278e4a3a970b4c4a021f3647">Cy_SysTick_SetClockSource()</ref></para></listitem><listitem><para>Sets the SysTick reload interval by calling <ref kindref="member" refid="group__group__systick__functions_1ga55c016caf7558ec00f1e8cd3d77e36da">Cy_SysTick_SetReload()</ref></para></listitem><listitem><para>Clears the SysTick counter value by calling <ref kindref="member" refid="group__group__systick__functions_1ga39bb8fea3eca13cedba526c2babf2013">Cy_SysTick_Clear()</ref></para></listitem><listitem><para>Enables the SysTick by calling <ref kindref="member" refid="group__group__systick__functions_1ga14017a044d9158c88c6cd589b6bd6895">Cy_SysTick_Enable()</ref>. Note the <ref kindref="member" refid="group__group__systick__functions_1ga14017a044d9158c88c6cd589b6bd6895">Cy_SysTick_Enable()</ref> function also enables the SysTick interrupt by calling <ref kindref="member" refid="group__group__systick__functions_1ga6c04d89a211060b93ae5c108e98fe679">Cy_SysTick_EnableInterrupt()</ref>.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clockSource</parametername>
</parameternamelist>
<parameterdescription>
<para>The SysTick clock source <ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>interval</parametername>
</parameternamelist>
<parameterdescription>
<para>The SysTick reload value.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Side Effects</title><para>Clears the SysTick count flag if it was set. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1ga14017a044d9158c88c6cd589b6bd6895" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysTick_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysTick_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the SysTick timer and its interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Side Effects</title><para>Clears the SysTick count flag if it was set </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="84" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="80" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1gaf371c2b11a3b5bb8241842298137167b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysTick_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysTick_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the SysTick timer and its interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Side Effects</title><para>Clears the SysTick count flag if it was set </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="100" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="96" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1gaa8a72d8a278e4a3a970b4c4a021f3647" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysTick_SetClockSource</definition>
        <argsstring>(cy_en_systick_clock_source_t clockSource)</argsstring>
        <name>Cy_SysTick_SetClockSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref></type>
          <declname>clockSource</declname>
        </param>
        <briefdescription>
<para>Sets the clock source for the SysTick counter. </para>        </briefdescription>
        <detaileddescription>
<para>Clears the SysTick count flag if it was set. If the clock source is not ready this function call will have no effect. After changing the clock source to the low frequency clock, the counter and reload register values will remain unchanged so the time to the interrupt will be significantly longer and vice versa.</para><para>Changing the SysTick clock source and/or its frequency will change the interrupt interval and <ref kindref="member" refid="group__group__systick__functions_1ga55c016caf7558ec00f1e8cd3d77e36da">Cy_SysTick_SetReload()</ref> should be called to compensate this change.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clockSource</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref> Clock source. For the PSoC 64 devices, passing any other value than CY_SYSTICK_CLOCK_SOURCE_CLK_CPU will not affect clock source and it will be as <ref kindref="member" refid="group__group__systick__functions_1ga6d72adec7b58994ff9097bb4a301fa95">Cy_SysTick_GetClockSource()</ref> reports. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="138" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1ga6d72adec7b58994ff9097bb4a301fa95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref></type>
        <definition>cy_en_systick_clock_source_t Cy_SysTick_GetClockSource</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysTick_GetClockSource</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets the clock source for the SysTick counter. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref> Clock source </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="164" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="150" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1gac20a2349069c5268c6e3f05c6777b9c9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>Cy_SysTick_Callback</type>
        <definition>Cy_SysTick_Callback Cy_SysTick_SetCallback</definition>
        <argsstring>(uint32_t number, Cy_SysTick_Callback function)</argsstring>
        <name>Cy_SysTick_SetCallback</name>
        <param>
          <type>uint32_t</type>
          <declname>number</declname>
        </param>
        <param>
          <type>Cy_SysTick_Callback</type>
          <declname>function</declname>
        </param>
        <briefdescription>
<para>Sets the callback function to the specified callback number. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>number</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the callback function addresses to be set. The valid range is from 0 to <ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref> - 1.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>function</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the function that will be associated with the SysTick ISR for the specified number.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the address of the previous callback function. The NULL is returned if the specified address in not set or incorrect parameter is specified.</para></simplesect>
<simplesect kind="par"><title>Side Effects</title><para>The registered callback functions will be executed in the interrupt. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="187" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="187" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__systick__functions_1ga3fb4a65fcdb113c20d679e5d9ae5f2e8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>Cy_SysTick_Callback</type>
        <definition>Cy_SysTick_Callback Cy_SysTick_GetCallback</definition>
        <argsstring>(uint32_t number)</argsstring>
        <name>Cy_SysTick_GetCallback</name>
        <param>
          <type>uint32_t</type>
          <declname>number</declname>
        </param>
        <briefdescription>
<para>Gets the specified callback function address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>number</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the callback function address to get. The valid range is from 0 to <ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref> - 1.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the address of the specified callback function. The NULL is returned if the specified address in not initialized or incorrect parameter is specified. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="233" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" bodystart="219" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" line="219" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.20</para></simplesect>
Provides the API definitions of the SisTick driver.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />&lt;stddef.h&gt;</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />for<sp />NULL<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_systick.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysint.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />Cy_SysTick_Callback<sp />Cy_SysTick_Callbacks[<ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref>];</highlight></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SysTick_ServiceCallbacks(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_Init</highlight></codeline>
<codeline lineno="35"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="53"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__systick__functions_1gac600820b0201e4ad5a171e97f7642c62">Cy_SysTick_Init</ref>(<ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref><sp />clockSource,<sp />uint32_t<sp />interval)</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />i;</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(i<sp />=<sp />0u;<sp />i&lt;<ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref>;<sp />i++)</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysTick_Callbacks[i]<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__globals_1gab1fe5e4517512392e2b7d44241d9e613">__ramVectors</ref>[CY_SYSTICK_IRQ_NUM]<sp />=<sp />&amp;Cy_SysTick_ServiceCallbacks;</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1gaa8a72d8a278e4a3a970b4c4a021f3647">Cy_SysTick_SetClockSource</ref>(clockSource);</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1ga55c016caf7558ec00f1e8cd3d77e36da">Cy_SysTick_SetReload</ref>(interval);</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1ga39bb8fea3eca13cedba526c2babf2013">Cy_SysTick_Clear</ref>();</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1ga14017a044d9158c88c6cd589b6bd6895">Cy_SysTick_Enable</ref>();</highlight></codeline>
<codeline lineno="68"><highlight class="normal">}</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="72"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_Enable</highlight></codeline>
<codeline lineno="73"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="80"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__systick__functions_1ga14017a044d9158c88c6cd589b6bd6895">Cy_SysTick_Enable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="81"><highlight class="normal">{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1ga6c04d89a211060b93ae5c108e98fe679">Cy_SysTick_EnableInterrupt</ref>();</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp />SYSTICK_CTRL<sp />|=<sp />SysTick_CTRL_ENABLE_Msk;</highlight></codeline>
<codeline lineno="84"><highlight class="normal">}</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="88"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_Disable</highlight></codeline>
<codeline lineno="89"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="96"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__systick__functions_1gaf371c2b11a3b5bb8241842298137167b">Cy_SysTick_Disable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="97"><highlight class="normal">{</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__functions_1ga4fbd44faae1f1e469e5361fee310a71e">Cy_SysTick_DisableInterrupt</ref>();</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />SYSTICK_CTRL<sp />&amp;=<sp />~SysTick_CTRL_ENABLE_Msk;</highlight></codeline>
<codeline lineno="100"><highlight class="normal">}</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="104"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_SetClockSource</highlight></codeline>
<codeline lineno="105"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="125"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__systick__functions_1gaa8a72d8a278e4a3a970b4c4a021f3647">Cy_SysTick_SetClockSource</ref>(<ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref><sp />clockSource)</highlight></codeline>
<codeline lineno="126"><highlight class="normal">{</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(clockSource<sp />==<sp /><ref kindref="member" refid="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9a20578ebfbc241a91a797b3cb9f127a14">CY_SYSTICK_CLOCK_SOURCE_CLK_CPU</ref>)</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SYSTICK_CTRL<sp />|=<sp />SysTick_CTRL_CLKSOURCE_Msk;</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#if<sp />((CY_CPU_CORTEX_M0P)<sp />||<sp />(!defined(CY_DEVICE_SECURE)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CPUSS_SYSTICK_CTL<sp />=<sp />_VAL2FLD(CPUSS_SYSTICK_CTL_CLOCK_SOURCE,<sp />(uint32_t)<sp />clockSource);</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />((CY_CPU_CORTEX_M0P)<sp />||<sp />(!defined(CY_DEVICE_SECURE)))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SYSTICK_CTRL<sp />&amp;=<sp />~SysTick_CTRL_CLKSOURCE_Msk;</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="138"><highlight class="normal">}</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="142"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_GetClockSource</highlight></codeline>
<codeline lineno="143"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref><sp /><ref kindref="member" refid="group__group__systick__functions_1ga6d72adec7b58994ff9097bb4a301fa95">Cy_SysTick_GetClockSource</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="151"><highlight class="normal">{</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref><sp />returnValue;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((SYSTICK_CTRL<sp />&amp;<sp />SysTick_CTRL_CLKSOURCE_Msk)<sp />!=<sp />0u)</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />returnValue<sp />=<sp /><ref kindref="member" refid="group__group__systick__data__structures_1gga466b1e8fe4278011eab77a691ce2b8f9a20578ebfbc241a91a797b3cb9f127a14">CY_SYSTICK_CLOCK_SOURCE_CLK_CPU</ref>;</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />returnValue<sp />=<sp /><sp />(<ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref>)<sp />((uint32_t)<sp />_FLD2VAL(CPUSS_SYSTICK_CTL_CLOCK_SOURCE,<sp />CPUSS_SYSTICK_CTL));</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">(returnValue);</highlight></codeline>
<codeline lineno="164"><highlight class="normal">}</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="168"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_SetCallback</highlight></codeline>
<codeline lineno="169"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="187"><highlight class="normal">Cy_SysTick_Callback<sp /><ref kindref="member" refid="group__group__systick__functions_1gac20a2349069c5268c6e3f05c6777b9c9">Cy_SysTick_SetCallback</ref>(uint32_t<sp />number,<sp />Cy_SysTick_Callback<sp /></highlight><highlight class="keyword">function</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="188"><highlight class="normal">{</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysTick_Callback<sp />retVal;</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(number<sp />&lt;<sp /><ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref>)</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />Cy_SysTick_Callbacks[number];</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysTick_Callbacks[number]<sp />=<sp /></highlight><highlight class="keyword">function</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(retVal);</highlight></codeline>
<codeline lineno="202"><highlight class="normal">}</highlight></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="206"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_GetCallback</highlight></codeline>
<codeline lineno="207"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="219"><highlight class="normal">Cy_SysTick_Callback<sp /><ref kindref="member" refid="group__group__systick__functions_1ga3fb4a65fcdb113c20d679e5d9ae5f2e8">Cy_SysTick_GetCallback</ref>(uint32_t<sp />number)</highlight></codeline>
<codeline lineno="220"><highlight class="normal">{</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysTick_Callback<sp />retVal;</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(number<sp />&lt;<sp /><ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref>)</highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />Cy_SysTick_Callbacks[number];</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(retVal);</highlight></codeline>
<codeline lineno="233"><highlight class="normal">}</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="237"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysTick_ServiceCallbacks</highlight></codeline>
<codeline lineno="238"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="243"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SysTick_ServiceCallbacks(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="244"><highlight class="normal">{</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />i;</highlight></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Verify<sp />that<sp />tick<sp />timer<sp />flag<sp />was<sp />set<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0u<sp />!=<sp /><ref kindref="member" refid="group__group__systick__functions_1gad89db2823028712f57e8f81e9e0be8a5">Cy_SysTick_GetCountFlag</ref>())</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(i=0u;<sp />i<sp />&lt;<sp /><ref kindref="member" refid="group__group__systick__macros_1ga13b753449adfc0805c73bf3fdd2c03e6">CY_SYS_SYST_NUM_OF_CALLBACKS</ref>;<sp />i++)</highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(Cy_SysTick_Callbacks[i]<sp />!=<sp />NULL)</highlight></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)(Cy_SysTick_Callbacks[i])();</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="258"><highlight class="normal">}</highlight></codeline>
<codeline lineno="259"><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_systick.c" />
  </compounddef>
</doxygen>